Get a refund
GEThttps://app.shuttleglobal.com/c/api/instances/{instance_key}/refunds/{refund_id}
Retrieve details of a specific refund. You can expand additional related objects using the expand parameter.
Available expand options:
- account
- created_session
- parts
- source_transaction
- updated_session
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The refund’s ID (ref_...).
Query Parameters
Section titled “Query Parameters”Related objects to include in the response
Responses
Section titled “Responses”Refund details
object
object
"ref_11842_11073"The unique ID of the refund
"pay_11842_11072"The original payment this refund relates to
"10"The amount refunded
"2020-11-27T15:17:15.000Z"When the refund was created/instructed
"2020-11-27T15:17:18.000Z"When the refund completed processing
"Customer requested cancellation"The reason for the refund
"BOLT-00011073"A unique customer facing reference for the refund
"tr_11842_11072"The original transaction that is being refunded - may be a payment or a capture
The status of the refund transaction
The gateway status of the refund transaction
The message from the gateway (if pending or declined)
False if the refund was instructed, or true if it was only recorded (in which case the onus is on the user to perform the refund via an offline method)
"USD"The currency of the refund (always the same as source transaction)
The ID of the person this refund is for
An array of parts objects for which charge(s) the refund was applied to
object
True if this is just a record to indicate a refund was performed offline
The date the record was last updated
The version of the record
Bad request - invalid parameters
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Unauthorised: the API key is missing or not valid
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Example
{ "code": "UNAUTHORIZED", "message": "Unauthorised"}Refund not found
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Was this page helpful?
What went wrong?
Thanks for telling us.